PETSc version 3.17.4
Fix/Edit manual page

# TSDMSwarmMonitorMoments

Monitors the first three moments of a DMSarm being evolved by the TS

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSDMSwarmMonitorMoments(TS ts, PetscInt step, PetscReal t, Vec U, PetscViewerAndFormat *vf)

Not collective

### Input Parameters

| ts | - the TS context
| step | - current timestep
| t | - current time
| u | - current solution
| ctx | - not used

### Options Database

| -ts_dmswarm_monitor_moments | - Monitor moments of particle distribution

### Notes

This requires a DMSwarm be attached to the TS.

### See Also

TSMonitorSet(), TSMonitorDefault(), DMSWARM

### Level

intermediate

### Location

src/ts/interface/tsmon.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages